Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine
Interface TurbineConstants

    public interface TurbineConstants

This interface contains all the constants used throughout the Turbine code base.

Version:
  $Id: TurbineConstants.java 938645 2010-04-27 20:57:51Z tv $
Author:
  Jason van Zyl, Henning P. Schmiedehausen, Scott Eade

Field Summary
`static String` | `ACTION_ACCESS_CONTROLLER_DEFAULT` Default value for the access controller.
`static String` | `ACTION_ACCESS_CONTROLLER_KEY` Action that performs Access control
`static String` | `ACTION_EVENT_BUBBLE_EXCEPTION_UP` Select whether an exception in an Action method is bubbled up to Turbine.handleException()
`static boolean` | `ACTION_EVENT_BUBBLE_EXCEPTION_UP_DEFAULT` Default value for action.event.bubbleexception
`static boolean` | `ACTION_EVENTSUBMIT_NEEDSVALUE_DEFAULT` Default value for action.eventsubmit.needsvalue
`static String` | `ACTION_EVENTSUBMIT_NEEDSVALUE_KEY` Select whether an Action Event must have a non-zero value
`static String` | `ACTION_LOGIN_DEFAULT` Default Value for login Action
`static String` | `ACTION_LOGIN_KEY` Action to perform when a user logs in.
`static String` | `ACTION_LOGOUT_DEFAULT` Default Value for ACTION_LOGOUT
`static String` | `ACTION_LOGOUT_KEY` Action to perform when a user logs out.
`static String` | `ACTION_SESSION_VALIDATOR_DEFAULT` Default value for the session validator.
`static String` | `ACTION_SESSION_VALIDATOR_KEY` Actions that performs session validation.
`static String` | `APPLICATION_ROOT_DEFAULT` Default Value for the Path to the TurbineResources.properties File
`static String` | `APPLICATION_ROOT_KEY` Key for the Path to the TurbineResources.properties File
`static String` | `CONFIG_NAMESPACE` The prefix used to denote the namespace reserved for and used by Turbine-specific configuration parameters (such as those passed in via servlet container's config file (`server.xml`), or the web app deployment descriptor (`web.xml`).
`static String` | `DEFAULT_CONTEXT_PATH_KEY` Default contextPath for ServerData
`static String` | `DEFAULT_DOCUMENT_TYPE_KEY` Default document type.
`static String` | `DEFAULT_HTML_DOCTYPE_IDENTIFIER_DEFAULT` Default Doctype dtd value
`static String` | `DEFAULT_HTML_DOCTYPE_IDENTIFIER_KEY` Default doctype dtd.
`static String` | `DEFAULT_HTML_DOCTYPE_ROOT_ELEMENT_DEFAULT` Default value for the doctype root element
`static String` | `DEFAULT_HTML_DOCTYPE_ROOT_ELEMENT_KEY` Default doctype root element.
`static String` | `DEFAULT_HTML_DOCTYPE_URI_DEFAULT` Default doctype url value.
`static String` | `DEFAULT_HTML_DOCTYPE_URI_KEY` Default doctype url.
`static String` | `DEFAULT_LOGGER` This is the default log file to be used for logging
`static String` | `DEFAULT_SCRIPT_NAME_KEY` Default scriptName for ServerData
`static String` | `DEFAULT_SERVER_NAME_KEY` Default serverName for ServerData
`static String` | `DEFAULT_SERVER_PORT_KEY` Default serverPort for ServerData
`static String` | `DEFAULT_SERVER_SCHEME_KEY` Default serverScheme for ServerData
`static String` | `DOCUMENT_TYPE_HTML40FRAMESET` Html 4.0 Frameset
`static String` | `DOCUMENT_TYPE_HTML40STRICT` Html 4.0 Strict
`static String` | `DOCUMENT_TYPE_HTML40TRANSITIONAL` Html 4.0 Transitional
`static String` | `LAYOUT_DEFAULT` Default layout.
`static String` | `LOCALE_DEFAULT_CHARSET_DEFAULT` Default value for Charset property
`static String` | `LOCALE_DEFAULT_CHARSET_KEY` Default Charset property
`static String` | `LOCALE_DEFAULT_COUNTRY_DEFAULT` Default value for Country property
`static String` | `LOCALE_DEFAULT_COUNTRY_KEY` Default Country property
`static String` | `LOCALE_DEFAULT_LANGUAGE_DEFAULT` Default value for Language property
`static String` | `LOCALE_DEFAULT_LANGUAGE_KEY` Default Language property
`static String` | `LOG4J_CONFIG_FILE` The key for the Log4J File
`static String` | `LOG4J_CONFIG_FILE_DEFAULT` The default value for the Log4J File
`static String` | `LOGGING_ROOT_DEFAULT` Default Value for the Logging Directory, relative to the webroot
`static String` | `LOGGING_ROOT_KEY` The Key in the deployment descriptor for the Logging Directory
`static String` | `LOGIN_ERROR` Message to display when a user fails to login.
`static String` | `LOGIN_MESSAGE` Message to display upon successful login.
`static String` | `LOGIN_MESSAGE_NOSCREEN` Message to display when screens variable invalid.
`static String` | `LOGOUT_MESSAGE` Message to display when a user logs out.
`static String` | `MAIL_SERVER_DEFAULT` Default Value for he SMTP server that Turbine uses to send mail.
`static String` | `MAIL_SERVER_KEY` The SMTP server Turbine uses to send mail.
`static String` | `MAIL_SMTP_FROM` The Smtp sender address property
`static boolean` | `MODULE_CACHE_DEFAULT` Default value of the Turbine Module Caching
`static String` | `MODULE_CACHE_KEY` Property that controls whether Turbine modules are cached or not.
`static int` | `MODULE_CACHE_SIZE_DEFAULT` Default value of the Turbine Module Cache Size
`static String` | `MODULE_CACHE_SIZE_KEY` Property that controls the module cache size.
`static String` | `MODULE_PACKAGES` The packages where Turbine will look for modules.
`static String` | `NAVIGATION_PLACEHOLDER` Context Key for the navigation object placeholder in the various velocity layouts
`static String` | `PAGE_DEFAULT_DEFAULT` Default value for the Default Page
`static String` | `PAGE_DEFAULT_KEY` Default page.
`static String` | `PARAMETER_ENCODING_DEFAULT` Default Encoding for Parameter Parser
`static String` | `PARAMETER_ENCODING_KEY` Encoding for Parameter Parser
`static String` | `PP_URL_CASE_FOLDING` Should the PP fold the case of everything.
`static String` | `PROCESSING_EXCEPTION_PLACEHOLDER` Context Key for the Processing Exception
`static String` | `SCHEDULER_LOG_FACILITY` The logging facility which captures output from the SchedulerService.
`static String` | `SCREEN_DEFAULT_DEFAULT` Default value for the Default Screen
`static String` | `SCREEN_ERROR_DEFAULT` Default value for Login Screen
`static String` | `SCREEN_ERROR_KEY` Login error screen.
`static String` | `SCREEN_HOMEPAGE` Home page screen.
`static String` | `SCREEN_INVALID_STATE` Report Screen for invalid state in the application
`static String` | `SCREEN_LOGIN` Login screen.
`static String` | `SCREEN_PLACEHOLDER` Context Key for the screen placeholder in the various velocity layouts
`static int` | `SESSION_TIMEOUT_DEFAULT` Session Timeout Default Value
`static String` | `SESSION_TIMEOUT_KEY` Session Timeout
`static String` | `STACK_TRACE_PLACEHOLDER` Context Key for the Stack Trace
`static String` | `STANDARD_PIPELINE` The fully qualified class name of the default `org.apache.turbine.Pipeline` implementation to use in the `Turbine` servlet.
`static String` | `TEMPLATE_ERROR_JSP` Template error default for JSP
`static String` | `TEMPLATE_ERROR_KEY` Template error template Property.
`static String` | `TEMPLATE_ERROR_VM` Template error default for Velocity
`static String` | `TEMPLATE_HOMEPAGE` Home page template.
`static String` | `TEMPLATE_INVALID_STATE` Report Template for invalid state in the application
`static String` | `TEMPLATE_LOGIN` Login template.
`static boolean` | `USE_SSL_DEFAULT` Default value for the SSL key
`static String` | `USE_SSL_KEY` Indicate whether this Turbine application is using SSL.
`static String` | `UUID_ADDRESS_KEY` Key for loading the UUID Generator with a constant value
`static String` | `WEB_CONTEXT` If this value is set as applicationRoot, then the webContext is used as application root
`static String` | `WEBAPP_ROOT_KEY` This is the key used in the Turbine.properties to access resources relative to the Web Application root.

Field Detail

### CONFIG_NAMESPACE

    static final String CONFIG_NAMESPACE

  The prefix used to denote the namespace reserved for and used by Turbine-specific configuration parameters (such as those passed in via servlet container's config file (`server.xml`), or the web app deployment descriptor (`web.xml`).

  For example, a parameter in the Turbine namespace would be `org.apache.turbine.loggingRoot`.

  See Also:
    Constant Field Values

### LOG4J_CONFIG_FILE

    static final String LOG4J_CONFIG_FILE

  The key for the Log4J File

  See Also:
    Constant Field Values

### LOG4J_CONFIG_FILE_DEFAULT

    static final String LOG4J_CONFIG_FILE_DEFAULT

  The default value for the Log4J File

  See Also:
    Constant Field Values

### DEFAULT_LOGGER

    static final String DEFAULT_LOGGER

  This is the default log file to be used for logging

  See Also:
    Constant Field Values

### SCHEDULER_LOG_FACILITY

    static final String SCHEDULER_LOG_FACILITY

  The logging facility which captures output from the SchedulerService.

  See Also:
    Constant Field Values

### MAIL_SERVER_KEY

    static final String MAIL_SERVER_KEY

  The SMTP server Turbine uses to send mail.

  See Also:
    Constant Field Values

### MAIL_SERVER_DEFAULT

    static final String MAIL_SERVER_DEFAULT

  Default Value for he SMTP server that Turbine uses to send mail.

  See Also:
    Constant Field Values

### MAIL_SMTP_FROM

    static final String MAIL_SMTP_FROM

  The Smtp sender address property

  See Also:
    Constant Field Values

### MODULE_CACHE_KEY

    static final String MODULE_CACHE_KEY

  Property that controls whether Turbine modules are cached or not.

  See Also:
    Constant Field Values

### MODULE_CACHE_DEFAULT

    static final boolean MODULE_CACHE_DEFAULT

  Default value of the Turbine Module Caching

  See Also:
    Constant Field Values

### MODULE_CACHE_SIZE_KEY

    static final String MODULE_CACHE_SIZE_KEY

  Property that controls the module cache size.

  See Also:
    Constant Field Values

### MODULE_CACHE_SIZE_DEFAULT

    static final int MODULE_CACHE_SIZE_DEFAULT

  Default value of the Turbine Module Cache Size

  See Also:
    Constant Field Values

### MODULE_PACKAGES

    static final String MODULE_PACKAGES

  The packages where Turbine will look for modules.

  See Also:
    Constant Field Values

### TEMPLATE_HOMEPAGE

    static final String TEMPLATE_HOMEPAGE

  Home page template.

  See Also:
    Constant Field Values

### TEMPLATE_LOGIN

    static final String TEMPLATE_LOGIN

  Login template.

  See Also:
    Constant Field Values

### TEMPLATE_ERROR_KEY

    static final String TEMPLATE_ERROR_KEY

  Template error template Property.

  See Also:
    Constant Field Values

### TEMPLATE_ERROR_JSP

    static final String TEMPLATE_ERROR_JSP

  Template error default for JSP

  See Also:
    Constant Field Values

### TEMPLATE_ERROR_VM

    static final String TEMPLATE_ERROR_VM

  Template error default for Velocity

  See Also:
    Constant Field Values

### SCREEN_HOMEPAGE

    static final String SCREEN_HOMEPAGE

  Home page screen.

  See Also:
    Constant Field Values

### SCREEN_LOGIN

    static final String SCREEN_LOGIN

  Login screen.

  See Also:
    Constant Field Values

### SCREEN_ERROR_KEY

    static final String SCREEN_ERROR_KEY

  Login error screen.

  See Also:
    Constant Field Values

### SCREEN_ERROR_DEFAULT

    static final String SCREEN_ERROR_DEFAULT

  Default value for Login Screen

  See Also:
    Constant Field Values

### SCREEN_INVALID_STATE

    static final String SCREEN_INVALID_STATE

  Report Screen for invalid state in the application

  See Also:
    Constant Field Values

### TEMPLATE_INVALID_STATE

    static final String TEMPLATE_INVALID_STATE

  Report Template for invalid state in the application

  See Also:
    Constant Field Values

### ACTION_LOGIN_KEY

    static final String ACTION_LOGIN_KEY

  Action to perform when a user logs in.

  See Also:
    Constant Field Values

### ACTION_LOGIN_DEFAULT

    static final String ACTION_LOGIN_DEFAULT

  Default Value for login Action

  See Also:
    Constant Field Values

### ACTION_LOGOUT_KEY

    static final String ACTION_LOGOUT_KEY

  Action to perform when a user logs out.

  See Also:
    Constant Field Values

### ACTION_LOGOUT_DEFAULT

    static final String ACTION_LOGOUT_DEFAULT

  Default Value for ACTION_LOGOUT

  See Also:
    Constant Field Values

### ACTION_SESSION_VALIDATOR_KEY

    static final String ACTION_SESSION_VALIDATOR_KEY

  Actions that performs session validation.

  See Also:
    Constant Field Values

### ACTION_SESSION_VALIDATOR_DEFAULT

    static final String ACTION_SESSION_VALIDATOR_DEFAULT

  Default value for the session validator. (org.apache.modules.actions.sessionvalidator.TemplateSessionValidator)

  See Also:
    Constant Field Values

### ACTION_ACCESS_CONTROLLER_KEY

    static final String ACTION_ACCESS_CONTROLLER_KEY

  Action that performs Access control

  See Also:
    Constant Field Values

### ACTION_ACCESS_CONTROLLER_DEFAULT

    static final String ACTION_ACCESS_CONTROLLER_DEFAULT

  Default value for the access controller. (org.apache.modules.actions.AccessController)

  See Also:
    Constant Field Values

### ACTION_EVENTSUBMIT_NEEDSVALUE_KEY

    static final String ACTION_EVENTSUBMIT_NEEDSVALUE_KEY

  Select whether an Action Event must have a non-zero value

  See Also:
    Constant Field Values

### ACTION_EVENTSUBMIT_NEEDSVALUE_DEFAULT

    static final boolean ACTION_EVENTSUBMIT_NEEDSVALUE_DEFAULT

  Default value for action.eventsubmit.needsvalue

  See Also:
    Constant Field Values

### ACTION_EVENT_BUBBLE_EXCEPTION_UP

    static final String ACTION_EVENT_BUBBLE_EXCEPTION_UP

  Select whether an exception in an Action method is bubbled up to Turbine.handleException()

  See Also:
    Constant Field Values

### ACTION_EVENT_BUBBLE_EXCEPTION_UP_DEFAULT

    static final boolean ACTION_EVENT_BUBBLE_EXCEPTION_UP_DEFAULT

  Default value for action.event.bubbleexception

  See Also:
    Constant Field Values

### LAYOUT_DEFAULT

    static final String LAYOUT_DEFAULT

  Default layout.

  See Also:
    Constant Field Values

### PAGE_DEFAULT_KEY

    static final String PAGE_DEFAULT_KEY

  Default page.

  See Also:
    Constant Field Values

### PAGE_DEFAULT_DEFAULT

    static final String PAGE_DEFAULT_DEFAULT

  Default value for the Default Page

  See Also:
    Constant Field Values

### SCREEN_DEFAULT_DEFAULT

    static final String SCREEN_DEFAULT_DEFAULT

  Default value for the Default Screen

  See Also:
    Constant Field Values

### LOGIN_MESSAGE

    static final String LOGIN_MESSAGE

  Message to display upon successful login.

  See Also:
    Constant Field Values

### LOGIN_ERROR

    static final String LOGIN_ERROR

  Message to display when a user fails to login.

  See Also:
    Constant Field Values

### LOGIN_MESSAGE_NOSCREEN

    static final String LOGIN_MESSAGE_NOSCREEN

  Message to display when screens variable invalid.

  See Also:
    Constant Field Values

### LOGOUT_MESSAGE

    static final String LOGOUT_MESSAGE

  Message to display when a user logs out.

  See Also:
    Constant Field Values

### SESSION_TIMEOUT_KEY

    static final String SESSION_TIMEOUT_KEY

  Session Timeout

  See Also:
    Constant Field Values

### SESSION_TIMEOUT_DEFAULT

    static final int SESSION_TIMEOUT_DEFAULT

  Session Timeout Default Value

  See Also:
    Constant Field Values

### USE_SSL_KEY

    static final String USE_SSL_KEY

  Indicate whether this Turbine application is using SSL.

  See Also:
    Constant Field Values

### USE_SSL_DEFAULT

    static final boolean USE_SSL_DEFAULT

  Default value for the SSL key

  See Also:
    Constant Field Values

### PP_URL_CASE_FOLDING

    static final String PP_URL_CASE_FOLDING

  Should the PP fold the case of everything. Possible values are "upper", "lower" and "none".

  See Also:
    Constant Field Values

### DEFAULT_DOCUMENT_TYPE_KEY

    static final String DEFAULT_DOCUMENT_TYPE_KEY

  Default document type.

  See Also:
    Constant Field Values

### DOCUMENT_TYPE_HTML40TRANSITIONAL

    static final String DOCUMENT_TYPE_HTML40TRANSITIONAL

  Html 4.0 Transitional

  See Also:
    Constant Field Values

### DOCUMENT_TYPE_HTML40STRICT

    static final String DOCUMENT_TYPE_HTML40STRICT

  Html 4.0 Strict

  See Also:
    Constant Field Values

### DOCUMENT_TYPE_HTML40FRAMESET

    static final String DOCUMENT_TYPE_HTML40FRAMESET

  Html 4.0 Frameset

  See Also:
    Constant Field Values

### DEFAULT_HTML_DOCTYPE_ROOT_ELEMENT_KEY

    static final String DEFAULT_HTML_DOCTYPE_ROOT_ELEMENT_KEY

  Default doctype root element.

  See Also:
    Constant Field Values

### DEFAULT_HTML_DOCTYPE_ROOT_ELEMENT_DEFAULT

    static final String DEFAULT_HTML_DOCTYPE_ROOT_ELEMENT_DEFAULT

  Default value for the doctype root element

  See Also:
    Constant Field Values

### DEFAULT_HTML_DOCTYPE_IDENTIFIER_KEY

    static final String DEFAULT_HTML_DOCTYPE_IDENTIFIER_KEY

  Default doctype dtd.

  See Also:
    Constant Field Values

### DEFAULT_HTML_DOCTYPE_IDENTIFIER_DEFAULT

    static final String DEFAULT_HTML_DOCTYPE_IDENTIFIER_DEFAULT

  Default Doctype dtd value

  See Also:
    Constant Field Values

### DEFAULT_HTML_DOCTYPE_URI_KEY

    static final String DEFAULT_HTML_DOCTYPE_URI_KEY

  Default doctype url.

  See Also:
    Constant Field Values

### DEFAULT_HTML_DOCTYPE_URI_DEFAULT

    static final String DEFAULT_HTML_DOCTYPE_URI_DEFAULT

  Default doctype url value.

  See Also:
    Constant Field Values

### LOCALE_DEFAULT_LANGUAGE_KEY

    static final String LOCALE_DEFAULT_LANGUAGE_KEY

  Default Language property

  See Also:
    Constant Field Values

### LOCALE_DEFAULT_LANGUAGE_DEFAULT

    static final String LOCALE_DEFAULT_LANGUAGE_DEFAULT

  Default value for Language property

  See Also:
    Constant Field Values

### LOCALE_DEFAULT_COUNTRY_KEY

    static final String LOCALE_DEFAULT_COUNTRY_KEY

  Default Country property

  See Also:
    Constant Field Values

### LOCALE_DEFAULT_COUNTRY_DEFAULT

    static final String LOCALE_DEFAULT_COUNTRY_DEFAULT

  Default value for Country property

  See Also:
    Constant Field Values

### LOCALE_DEFAULT_CHARSET_KEY

    static final String LOCALE_DEFAULT_CHARSET_KEY

  Default Charset property

  See Also:
    Constant Field Values

### LOCALE_DEFAULT_CHARSET_DEFAULT

    static final String LOCALE_DEFAULT_CHARSET_DEFAULT

  Default value for Charset property

  See Also:
    Constant Field Values

### WEB_CONTEXT

    static final String WEB_CONTEXT

  If this value is set as applicationRoot, then the webContext is used as application root

  See Also:
    Constant Field Values

### APPLICATION_ROOT_KEY

    static final String APPLICATION_ROOT_KEY

  Key for the Path to the TurbineResources.properties File

  See Also:
    Constant Field Values

### APPLICATION_ROOT_DEFAULT

    static final String APPLICATION_ROOT_DEFAULT

  Default Value for the Path to the TurbineResources.properties File

  See Also:
    Constant Field Values

### WEBAPP_ROOT_KEY

    static final String WEBAPP_ROOT_KEY

  This is the key used in the Turbine.properties to access resources relative to the Web Application root. It might differ from the Application root, but the normal case is, that the webapp root and the application root point to the same path.

  See Also:
    Constant Field Values

### LOGGING_ROOT_KEY

    static final String LOGGING_ROOT_KEY

  The Key in the deployment descriptor for the Logging Directory

  See Also:
    Constant Field Values

### LOGGING_ROOT_DEFAULT

    static final String LOGGING_ROOT_DEFAULT

  Default Value for the Logging Directory, relative to the webroot

  See Also:
    Constant Field Values

### UUID_ADDRESS_KEY

    static final String UUID_ADDRESS_KEY

  Key for loading the UUID Generator with a constant value

  See Also:
    Constant Field Values

### SCREEN_PLACEHOLDER

    static final String SCREEN_PLACEHOLDER

  Context Key for the screen placeholder in the various velocity layouts

  See Also:
    Constant Field Values

### NAVIGATION_PLACEHOLDER

    static final String NAVIGATION_PLACEHOLDER

  Context Key for the navigation object placeholder in the various velocity layouts

  See Also:
    Constant Field Values

### PROCESSING_EXCEPTION_PLACEHOLDER

    static final String PROCESSING_EXCEPTION_PLACEHOLDER

  Context Key for the Processing Exception

  See Also:
    Constant Field Values

### STACK_TRACE_PLACEHOLDER

    static final String STACK_TRACE_PLACEHOLDER

  Context Key for the Stack Trace

  See Also:
    Constant Field Values

### PARAMETER_ENCODING_KEY

    static final String PARAMETER_ENCODING_KEY

  Encoding for Parameter Parser

  See Also:
    Constant Field Values

### PARAMETER_ENCODING_DEFAULT

    static final String PARAMETER_ENCODING_DEFAULT

  Default Encoding for Parameter Parser

  See Also:
    Constant Field Values

### DEFAULT_SERVER_NAME_KEY

    static final String DEFAULT_SERVER_NAME_KEY

  Default serverName for ServerData

  See Also:
    Constant Field Values

### DEFAULT_SERVER_PORT_KEY

    static final String DEFAULT_SERVER_PORT_KEY

  Default serverPort for ServerData

  See Also:
    Constant Field Values

### DEFAULT_SERVER_SCHEME_KEY

    static final String DEFAULT_SERVER_SCHEME_KEY

  Default serverScheme for ServerData

  See Also:
    Constant Field Values

### DEFAULT_SCRIPT_NAME_KEY

    static final String DEFAULT_SCRIPT_NAME_KEY

  Default scriptName for ServerData

  See Also:
    Constant Field Values

### DEFAULT_CONTEXT_PATH_KEY

    static final String DEFAULT_CONTEXT_PATH_KEY

  Default contextPath for ServerData

  See Also:
    Constant Field Values

### STANDARD_PIPELINE

    static final String STANDARD_PIPELINE

  The fully qualified class name of the default `org.apache.turbine.Pipeline` implementation to use in the `Turbine` servlet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.